Subject: Re: [bitcoin-dev] BIP 158 Flexibility and Filter Size

From: Karl-Johan Alm <[email-masked]>
Date: Tue, 5 Jun 2018 13:33:06 +0900

On Tue, Jun 5, 2018 at 10:08 AM, Jim Posen <[email-masked]> wrote:
> It also derives all bandwidth gains from address reuse. So I'm
> hesitant to make the complexity tradeoff for bandwidth savings due to a
> behavior that is actively discouraged.

I don't understand this comment. The bandwidth gains are not from
address reuse, they are from the observed property that false
positives are independent between two filters. I.e. clients that
connect once a day will probably download 2-3 filters at most, if they
had nothing relevant in the last ~144 blocks.

-Kalle.